package beilv.system.domain;

import beilv.common.annotation.Excel;
import beilv.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 会员用户信息对象 sys_member
 *
 * @author ruoyi
 * @date 2025-01-02
 */
public class SysMember extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    private Long id;


    /**
     * 小程序openid
     */
    @Excel(name = "小程序openid")
    private String openId;

    /**
     * 用户账户(跟accout一样)
     */
    @Excel(name = "用户账户(跟accout一样)")
    private String username;

    /**
     * 用户密码（跟pwd）
     */
    @Excel(name = "用户密码", readConverterExp = "跟=pwd")
    private String password;

    /**
     * 真实姓名
     */
    @Excel(name = "真实姓名")
    private String realName;

    /**
     * 手机号码
     */
    @Excel(name = "手机号码")
    private String mobile;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date loginDate;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String loginIp;

    /**
     * 注册ip
     */
    @Excel(name = "注册ip")
    private String registerIp;

    /**
     * 用户剩余积分
     */
    @Excel(name = "用户剩余积分")
    private BigDecimal integral;

    /**
     * 微信用户json信息
     */
    @Excel(name = "微信用户json信息")
    private String wxProfile;

    /**
     * 删除
     */
    private Integer delFlag;



    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getUsername() {
        return username;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getPassword() {
        return password;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getRealName() {
        return realName;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getMobile() {
        return mobile;
    }

    public void setLoginDate(Date loginDate) {
        this.loginDate = loginDate;
    }

    public Date getLoginDate() {
        return loginDate;
    }

    public void setLoginIp(String loginIp) {
        this.loginIp = loginIp;
    }

    public String getLoginIp() {
        return loginIp;
    }

    public void setRegisterIp(String registerIp) {
        this.registerIp = registerIp;
    }

    public String getRegisterIp() {
        return registerIp;
    }

    public void setIntegral(BigDecimal integral) {
        this.integral = integral;
    }

    public BigDecimal getIntegral() {
        return integral;
    }

    public void setWxProfile(String wxProfile) {
        this.wxProfile = wxProfile;
    }

    public String getWxProfile() {
        return wxProfile;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getOpenId() {
        return openId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("username", getUsername())
                .append("password", getPassword())
                .append("realName", getRealName())
                .append("mobile", getMobile())
                .append("loginDate", getLoginDate())
                .append("loginIp", getLoginIp())
                .append("registerIp", getRegisterIp())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("integral", getIntegral())
                .append("wxProfile", getWxProfile())
                .append("delFlag", getDelFlag())
                .append("openId", getOpenId())
                .toString();
    }
}
